# Rectangle

## class Rectangle(tuple)

class cairo.Rectangle(x: float, y: float, width: float, height: float)

  Added in version 1.15: In prior versions a (float, float, float, float) tuple was used instead of `Rectangle`.

  A data structure for holding a rectangle.

  __init__(x: float, y: float, width: float, height: float) → None
    Parameters:

      - x – X coordinate of the left side of the rectangle

      - y – Y coordinate of the the top side of the rectangle

      - width – width of the rectangle

      - height – height of the rectangle

  x: float = Ellipsis
  y: float = Ellipsis
  width: float = Ellipsis
  height: float = Ellipsis